geologyidea.com
Viac

Inštalujete dve verzie QGIS v Ubuntu?

Inštalujete dve verzie QGIS v Ubuntu?


We are searching data for your request:

Forums and discussions:
Manuals and reference books:
Data from registers:
Wait the end of the search in all databases.
Upon completion, a link will appear to access the found materials.


Chcel by som mať dve verzie QGIS (2.8.2 a 2.8.10) v Ubuntu 14.04.

Skúsil som to urobiť pomocou tutoriálu SIG sem grilhetas.

V mojom ubuntu 14.04 však neinštaloval qgis 2.8.2. Qgis som už nainštaloval, ale bola najnovšou verziou (2.8.10). Chcel by som mať v počítači súčasne 2.8.2 a 2.8.10.

Keď som urobil vyššie uvedený návod, zobrazilo sa toto chybové hlásenie:

Chyba CMake: V tomto projekte sú použité nasledujúce premenné, ale sú nastavené na NOTFOUND. Nastavte ich alebo sa uistite, že sú správne nastavené a testované v súboroch CMake: QWTPOLAR_INCLUDE_DIR použitý ako zahrnúť adresár v adresári/home/clement/dev/cpp/QGIS/src/aplikácia použitá ako zahrnúť adresár v adresári/home/clement/dev /cpp/QGIS/src/aplikácia QWTPOLAR_LIBRARY prepojená s cieľom „qgis“ v adresári/home/clement/dev/cpp/QGIS/src/aplikácia prepojená s cieľom „qgis_app“ v adresári/home/clement/dev/cpp/QGIS/ src/aplikácia prepojená s cieľom „qgis_qgisappclipboard“ v adresári/home/clement/dev/cpp/QGIS/tests/src/app

Pomôže mi niekto?


QGIS teraz ponúka súbežnú súčasnú aj dlhodobú verziu.

Podľa https://www.qgis.org/en/site/forusers/alldownloads.html#debian-ubuntu sú úložiská

http://qgis.org/debian/ http://qgis.org/debian-ltr/

minimalizovať konflikty. Ubuntugis je v súčasnosti trochu pozadu, ponúka iba QGIS 2.8.1


Bohužiaľ, stále môžete nie nainštalujte obe verzie súbežne, ako to môžu používatelia systému Windows s OSGEO4W, pretože obe majú po inštalácii rovnaký názov, ako aj niektoré ďalšie balíky. Jediný spôsob, ako získať oboje, je vložiť jeden do virtuálneho poľa s iným (alebo rovnakým) hosťujúcim systémom Ubuntu. Môžete vykonávať operácie, ktoré vám chýbajú vo vašej obľúbenej verzii, a vymieňať si údaje a súbory projektu so zdieľanými priečinkami. Ak vám to nie je príjemné, určite môžete zaplatiť vývojárovi QGIS za zavedenie plne paralelizovanej inštancie QGIS LTR. Určite nebudete jediný, kto z toho bude zúfalý.

Pokiaľ ide o podporu ECW a MrSID, obaja sa držia GDAL 1.10 na platforme Ubuntugis. Kým ich niekto neprenesie na GDAL 1.11, nemáte pre neho žiadnu podporu.


ak vám nie je pohodlné stavať qgis, môžete jednoducho vytvoriť všetky požadované verzie a buď ich spustiť z adresára buildu, alebo ich nainštalovať na iné miesto.

Mojou stratégiou je nainštalovať LTR pomocouCMAKE_INSTALL_PREFIX =/usr/local/qgis/28 CMAKE_INSTALL_PREFIX =/usr/local/qgis/214

a v .bash_aliases:

alias qgis-214 = "LD_LIBRARY_PATH =/usr/local/qgis/214/lib/usr/local/qgis/214/bin/qgis $ 1 &"

Mám tiež prúd QGIS mimo balíkov a master mimo príkazu build.


Pozri si video: How to install pgAdmin4 on Ubuntu,,. Linux Mint. PostgreSQL. 2020